Index Page sumad_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       SpiceDouble sumad_c ( ConstSpiceDouble   * array,
                             SpiceInt             n     )
#### Abstract
        Return the sum of the elements of a double precision array.
#### Required_Reading
       None.
#### Keywords
        ARRAY,  MATH,  UTILITY
#### Brief_I/O
        VARIABLE  I/O  DESCRIPTION
        --------  ---  --------------------------------------------------
        array      I   Input array.
        n          I   Number of elements in the array.

        The function returns the sum of the elements of the input array.
#### Detailed_Input
        array       is the input array.

        n           is the number of elements in the array.
#### Detailed_Output
        The function returns the sum of the elements of the input array.
        That is,

           sumad_c ( array, n )  =  array[0] + array[1] + ... + array[n-1]

        If n is zero or negative, sumad_c returns zero.
#### Parameters
       None.
#### Exceptions
        Error free.
#### Files
        None.
#### Particulars
        The value of the function is initially set to zero. The elements
        of the array are then added. If the number of elements is
        zero or negative, sumad_c is zero.
#### Examples
        Let array contain the following elements.

              array[0] = 12.
              array[1] =  1.
              array[2] =  4.
              array[3] = 75.
              array[4] = 18.

        Then

              sumad_c ( array,   -3 )       =   0.
              sumad_c ( array,    0 )       =   0.
              sumad_c ( array,    1 )       =  12.
              sumad_c ( array,    2 )       =  13.
              sumad_c ( array,    5 )       = 110.
              sumad_c ( array+2,  3 )       =  97.
#### Restrictions
        sumad_c does not check for overflow.
#### Literature_References
        None.
#### Author_and_Institution
        N.J. Bachman    (JPL)
        I.M. Underwood  (JPL)
#### Version
       -CSPICE Version 1.0.0, 24-MAR-1999 (IMU) (NJB)
#### Index_Entries
       sum of a d.p. array
#### Link to routine sumad_c source file sumad_c.c

    Wed Jun  9 13:05:31 2010